Status: Closed   

Priority: Normal   

Category:    

Customer: DAIMLER Product Issue

Numbers:

 

Department: TP/EMD Affected Products: ADTF Streaming Library 2.9.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: StreamingLib::Common

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage:

Sehr geehrte Damen und Herren,

ich entwickle mittels der Streaming Library ein Tool zum fusionieren mehrerer Dat-Files.

Das bedeutet ich habe derzeit 2 Dat-Files, deren Samples ich filtere, die Samples aus dem einen in das andere schreibe und zum

Teil auch Streams lösche. Anschließend schreibe ich die Daten auf Basis eines der Files in ein neues Dat-File.

Nun habe ich jedoch folgende zwei Probleme:

1.       Wenn ich das neue File erstelle und die Extensions des ursprünglichen Files hinzufüge, werden automatisch Streams erzeugt.

Auch wenn für diese keine Samples mehr vorliegen. Dies ließ sich auch nicht unterbinden in dem ich die File Extensions mit der

jeweiligen Id herausfilterte. Was kann ich tun um dieses Verhalten zu verhindern?

2.       Wenn ich mein neues File mit den Befehlen der Library erstelle, kann ich es nicht mehr öffnen. Immer wenn ich versuche das

File mit dem open Befehl zu öffnen, erhalte ich eine Access violation. Kann es sein das Default mäßig ein gewisser Schreibschutz

auf den erzeugten Files liegt? Denn ein Öffnen und Bearbeiten mit der ADTF DevEnv gelingt problemlos.

Ich hoffe Sie können mir helfen und danke Ihnen im Voraus für Ihre Hilfe.

Yours sincerely / Mit freundlichen Grüßen

Felix S. Maag

Daimler AG

Lösung:

Bei dem Schreiben des neuen Dat-Files haben wir vorher das Streamdatenformat nicht angepasst. Momentan habe ich das

angepasst und das neue von uns fusionierte Dat-File kann jetzt durch open Methode geöffnet werden.

History

#1 - 2017-02-01 09:28 - hidden

- Project changed from Public Support to 9

- Status changed from New to Pending

- Topic set to StreamingLib::Common

- Customer set to DAIMLER

- Department set to TP/EMD

#3 - 2017-03-24 13:05 - hidden

- Status changed from Pending to New

#4 - 2017-03-24 13:06 - hidden

- Status changed from New to In Progress
Support bestellt, kann nun bearbeitet werden

#5 - 2017-03-24 14:13 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Felix,

besteht euer Problem noch, bzw. braucht ihr noch Hilfe?

Wenn ja, welche Version der ADTF Streaming Lib nutzt ihr und welches Betriebssystem verwendet ihr?

#6 - 2017-03-24 16:00 - hidden

Hallo,

ja das Problem besteht noch, wird aber nicht mehr von mir betreut.

Zuständig ist nun Herr Tang bzw. Herr Welter.

Soll ein neuer Support Antrag gestellt werden, oder kann der Bestehende auf eine der genannten Personen umgezogen werden?

Die Streaming Library Version war 2.6 und das Betriebssystem Windows 7.

#7 - 2017-03-24 16:22 - hidden

- Status changed from Customer Feedback Required to In Progress

- Author changed from hidden to hidden

- Platform Windows 7 64bit added

Eine neue Supportanfrage ist nicht notwendig da Herr Tang bereits im System registriert ist.

Supportanfrage wurde auf neuen Ansprechpartner umgezogen.

#8 - 2017-03-27 09:30 - hidden

Sehr geehrte Damen und Herren,

ich bin nun zuständig für die Weiterentwicklung des Tools, das von Herr Maag vorher entwickelt wurde. Dieses Tool wird mittels der Streaming

Library entwickelt und dient zur Fusionieren mehrerer Dat-Files.

Das bedeutet ich habe derzeit 2 Dat-Files, deren Samples ich filtere, die Samples aus dem einen in das andere schreibe und zum Teil auch Streams

lösche. Anschließend schreibe ich die Daten auf Basis eines der Files in ein neues Dat-File.

Momentan habe ich folgendes Problem:

Wenn ich mein neues File mit dem open Befehl der Library bediene, kann ich es nicht mehr öffnen. Immer wenn ich versuche das File mit dem open

Befehl zu öffnen, erhalte ich eine Fehlermeldung “Access violation reading location 0x00000000“. Aber ein Öffnen und Bearbeiten mit der ADTF

DevEnv gelingt problemlos.

Könnten Sie mir sagen, welche möglichen Gründe dazu führen könnten. Momentan habe ich Samples aus 2 Streams mit unterschiedlichen Subtypen

in einem Stream geschrieben. Ob das zu diesem Default führen könnte? Oder kann es sein das Default mäßig ein gewisser Schreibschutz auf den

erzeugten Files liegt?

Ich hoffe Sie können mir helfen und vielen Dank im Voraus für Ihre Hilfe!

#9 - 2017-03-27 17:53 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Liuzhipeng,

wie ruft ihr die open Methode auf?

Führt ihr nachdem, aus den zwei DAT-Files ein neues entstanden ist, einen IADTFFileWriter::Release aus?

Habt ihr lesend & schreibend Zugriff auf den Ablageort der neuen DAT-File?

#10 - 2017-03-28 16:30 - hidden

Sehr geehrte Damen und Herren,

nachdem, aus den zwei DAT-Files ein neues entstanden ist, haben wir den IADTFFileWriter::Release ausgeführt. Und wir haben lesend & schreibend

Zugriff auf den Ablageort der neuen DAT-File. Wir rufen die open Methode auf wie die Methode in Streaming Library User’s Manual liegt. Aber das

Problem bleibt noch.

Auf unsere Seite haben wir eine kurze Frage. Ob es möglich auf Ihre Seite wäre, dass wir Ihnen ein von uns fusioniertes Dat-File schicken und
könnten Sie das auftretende Symptom einmal schauen. Ich denke, dass Sie sich auf diese Weise mehr einfach und deutlich über die Situation

informieren können. Bei uns ist es kein Problem, um Ihnen das Dat-File zu schicken.

Ich freue mich sehr auf Ihre Antwort und vielen Dank im Voraus für Ihre Hilfe!

#11 - 2017-03-29 13:51 - hidden

Hallo Liuzhipeng,

wie groß ist das DAT-File mit dem der Fehler auftritt? Wahrscheinlich sehr groß, ich denke die einfachste Lösung ist es wenn ihr uns einen USB-Stick

mit dem DAT-File zukommen lasst. Dann können wir dieses untersuchen.

Bitte an folgende Adresse schicken:

Digitalwerk GmbH

Support Team

Im Gewerbepark C15

93059 Regensburg

#12 - 2017-03-29 15:30 - hidden

- File 20170215_162513_fus.zip added

Hallo Stephan,

mein Betreuer hat mir gesagt. Also es ist ein bisschen schwierig bei uns, dir einen USB-Stick zu schicken. Trotzdem vielen Dank für deinen

Vorschlag!

Um die Größe anzupassen habe ich jetzt nur weniger DataBlock in das fusionierte Dat-File geschrieben. Die anderen Dinge werden nicht geändert.

Im Anhang steht das von uns fusioniertes Dat-File.

Besten Dank im Voraus für deine Hilfe!

#13 - 2017-03-30 16:42 - hidden

- File fileInfo.png added

- Support Level changed from 2nd Level to 3rd Level

Hallo Liuzhipeng,

ich konnte dein Problem mit der von dir geschickten DAT-File nachstellen.

 

Ist das so gewollt, das in der DAT-File 5 streams enthalten sind, die keine Samples haben?

Oder läuft bei eurer Fusion etwas schief?

Ich konnte das Problem bereits eingrenzen, aber bin mir noch nicht sicher wie es zustande kommt.

Dafür werde ich mich morgen mit meinem Fachmann zusammen setzten.

#14 - 2017-03-31 08:00 - hidden

- File ~WRD000.jpg added

Hallo Stephan,

ich habe das Problem gerade gelöst.

Bei dem Schreiben des neuen Dat-Files  haben wir vorher das Streamdatenformat nicht angepasst. Momentan habe ich das angepasst und das neue

von uns fusionierte Dat-File kann jetzt durch open Methode geöffnet werden.

Ich hoffe, dass wir den gleichen Grund gefunden hätten. Wenn du bei der Analyse auf eure Seite mehr Info bekommen hättest, könntest du mir auch

einen Bescheid geben.

Vielen Dank für deine Hilfe!

#15 - 2017-03-31 08:15 - hidden

- Affected Products ADTF Streaming Library 2.9.0 added

Hallo Liuzhipeng,
wie ihr die Streams erstellt bzw. ob ihr deren Infos richtig setzt bevor ihr sie beschreibt, wäre mein nächster Anhaltspunkt gewesen.

Damit sollte dieses Supportticket abgeschlossen sein.

Können wir dieses Ticket schließen & public machen, also für alle Nutzer der Digitalwerk Support Platform einsehbar?

Falls das von euch angehängte DAT-File interne Daten von DAIMLER enthält, können wir dieses natürlich vorher aus dem Ticket entfernen.

#16 - 2017-03-31 10:00 - hidden

Hallo Stephan,

ja, genau. Das von uns angehängte DAT-File enthält die interne Daten von DAIMLER. Bitte entfernen das aus dem Ticket.

Vielen Dank für deine Hilfe in letzten Tagen und wünsche dir ein schönes Wochenende!

#17 - 2017-03-31 10:13 - hidden

- File deleted (20170215_162513_fus.zip)

#18 - 2017-03-31 10:13 - hidden

- File deleted (~WRD000.jpg)

#19 - 2017-03-31 10:19 - hidden

- Project changed from 9 to Public Support

- Subject changed from ADTF Streaming Library: Erstelltes File kann nicht geöffnet werden to ADTF Streaming Library: Erstelltes DAT-File kann mit

open() nicht geöffnet werden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

@Florian, Ticket kann geschlossen werden.

#20 - 2017-03-31 14:16 - hidden

- Status changed from To Be Closed to Closed

#21 - 2017-03-31 16:14 - hidden

- Subject changed from ADTF Streaming Library: Erstelltes DAT-File kann mit open() nicht geöffnet werden to Created DAT File could not be opened

Files

fileInfo.png 63.3 KB 2017-03-30 hidden

Powered by TCPDF (www.tcpdf.org)

2024-04-25 4/4

http://www.tcpdf.org

